;; Copyright (c) 2006-2007 Carlos Ungil

;; Permission is hereby granted, free of charge, to any person obtaining
;; a copy of this software and associated documentation files (the
;; "Software"), to deal in the Software without restriction, including
;; without limitation the rights to use, copy, modify, merge, publish,
;; distribute, sublicense, and/or sell copies of the Software, and to
;; permit persons to whom the Software is furnished to do so, subject to
;; the following conditions:

;; The above copyright notice and this permission notice shall be
;; included in all copies or substantial portions of the Software.

;; THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
;; EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
;; MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
;; NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
;; LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
;; OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
;; WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

(in-package :rclmathapi)

;; http://cran.r-project.org/doc/manuals/R-exts.html#Mathematical-constants

;; 6.7.4 Mathematical constants

;; R has a set of commonly used mathematical constants encompassing
;; constants usually found math.h and contains further ones that are
;; used in statistical computations. All these are defined to (at
;; least) 30 digits accuracy in Rmath.h. The following definitions use
;; ln(x) for the natural logarithm (log(x) in R).

(cl:defparameter M-E  2.718281828459045235360287471353 "e")
(cl:defparameter M-LOG2E  1.442695040888963407359924681002 "log2(e)")
(cl:defparameter M-LOG10E 0.434294481903251827651128918917 "log10(e)")
(cl:defparameter M-LN2  0.693147180559945309417232121458 "ln(2)")
(cl:defparameter M-LN10  2.302585092994045684017991454684 "ln(10)")
(cl:defparameter M-PI  3.141592653589793238462643383280 "pi")
(cl:defparameter M-2PI  6.283185307179586476925286766559 "2*pi")
(cl:defparameter M-PI-2  1.570796326794896619231321691640 "pi/2")
(cl:defparameter M-PI-4  0.785398163397448309615660845820 "pi/4")
(cl:defparameter M-1-PI  0.318309886183790671537767526745 "1/pi")
(cl:defparameter M-2-PI  0.636619772367581343075535053490 "2/pi")
(cl:defparameter M-2-SQRTPI 1.128379167095512573896158903122 "2/sqrt(pi)")
(cl:defparameter M-SQRT2  1.414213562373095048801688724210 "sqrt(2)")
(cl:defparameter M-SQRT1-2 0.707106781186547524400844362105 "1/sqrt(2)")
(cl:defparameter M-SQRT-3 1.732050807568877293527446341506 "sqrt(3)")
(cl:defparameter M-SQRT-32 5.656854249492380195206754896838 "sqrt(32)")
(cl:defparameter M-LOG10-2 0.301029995663981195213738894724 "log10(2)")
(cl:defparameter M-SQRT-PI 1.772453850905516027298167483341 "sqrt(pi)")
(cl:defparameter M-1-SQRT-2PI 0.398942280401432677939946059934 "1/sqrt(2pi)")
(cl:defparameter M-SQRT-2/PI 0.797884560802865355879892119869 "sqrt(2/pi)")
(cl:defparameter M-LN-SQRT-PI 0.572364942924700087071713675677 "log(sqrt(pi))")
(cl:defparameter M-LN-SQRT-2PI 0.918938533204672741780329736406 "log(sqrt(2*pi))")
(cl:defparameter M-LN-SQRT-PI/2 0.225791352644727432363097614947 "log(sqrt(pi/2))")
