;; Copyright (c) 2006-2007 Carlos Ungil

;; Permission is hereby granted, free of charge, to any person obtaining
;; a copy of this software and associated documentation files (the
;; "Software"), to deal in the Software without restriction, including
;; without limitation the rights to use, copy, modify, merge, publish,
;; distribute, sublicense, and/or sell copies of the Software, and to
;; permit persons to whom the Software is furnished to do so, subject to
;; the following conditions:

;; The above copyright notice and this permission notice shall be
;; included in all copies or substantial portions of the Software.

;; THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
;; EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
;; MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
;; NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
;; LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
;; OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
;; WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

(in-package :cl-user)

(defpackage "RCLMATH"
  (:nicknames "RMATH") 
  (:use "CL")
  (:export "RANDOM-NORMAL" "RANDOM-UNIFORM" 
	   "RANDOM-EXPONENTIAL" "RNG-SEED"

	   "BESSEL" "BETA" "CHOOSE" "GAMMA" "PSI"
	   
	   "R-NORM" "D-NORM" "P-NORM" "Q-NORM"
	   "R-UNIF" "D-UNIF" "P-UNIF" "Q-UNIF"
	   "R-GAMMA" "D-GAMMA" "P-GAMMA" "Q-GAMMA"
	   "R-BETA" "D-BETA" "P-BETA" "Q-BETA"
	   "R-LNORM" "D-LNORM" "P-LNORM" "Q-LNORM"
	   "R-CHISQ" "D-CHISQ" "P-CHISQ" "Q-CHISQ"
	   "R-NCHISQ" "D-NCHISQ" "P-NCHISQ" "Q-NCHISQ"
	   "R-F" "D-F" "P-F" "Q-F"
	   "R-T" "D-T" "P-T" "Q-T"
	   "R-BINOM" "D-BINOM" "P-BINOM" "Q-BINOM"
	   "R-CAUCHY" "D-CAUCHY" "P-CAUCHY" "Q-CAUCHY"
	   "R-EXP" "D-EXP" "P-EXP" "Q-EXP"
	   "R-GEOM" "D-GEOM" "P-GEOM" "Q-GEOM"
	   "R-HYPER" "D-HYPER" "P-HYPER" "Q-HYPER"
	   "R-NBINOM" "D-NBINOM" "P-NBINOM" "Q-NBINOM"
	   "R-POIS" "D-POIS" "P-POIS" "Q-POIS"
	   "R-WEIBULL" "D-WEIBULL" "P-WEIBULL" "Q-WEIBULL"
	   "R-LOGIS" "D-LOGIS" "P-LOGIS" "Q-LOGIS"
	   "R-WILCOX" "D-WILCOX" "P-WILCOX" "Q-WILCOX"
	   "R-SIGNRANK" "D-SIGNRANK" "P-SIGNRANK" "Q-SIGNRANK"
	   "D-NBETA" "P-NBETA" "Q-NBETA"
	   "D-NF" "P-NF" "Q-NF"
	   "D-NT" "P-NT" "Q-NT"
	   "P-TUKEY" "Q-TUKEY"
	   ))

(defpackage "RCLMATHAPI"
  (:use ))
